terms: Get ontology terms

API: ac.uk:embl-ebi-ontology-lookup-service-ols-api
Endpoint: /ontologies/{ontology_id}/terms
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 733ms

Description

Returns terms from a specific ontology

Parameters (3)

ontology_id (string, path, required)

Ontology ID (e.g., efo, go, doid)

page (integer, query, optional, default: 0)

Page number

size (integer, query, optional, default: 20)

Number of results per page

Examples (1)

List GO ontology terms probe-gate
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/go/terms'
import requests

resp = requests.get("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms")
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontology_id}/terms")

for item in result:
    print(item)
const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:43:20.927949 200 733ms 2.0MB
2026-04-16 01:13:15.446111 200 694ms 2.0MB
2026-04-15 03:34:50.549897 200 766ms 2.0MB
2026-04-14 01:58:52.584083 200 942ms 2.0MB
2026-04-12 12:32:22.399823 200 812ms 2.0MB
2026-04-10 02:25:02.561553 200 854ms 2.0MB
2026-04-09 03:06:28.644422 ERR
2026-04-08 07:13:12.101758 200 921ms 2.0MB
2026-04-07 00:18:00.320233 200 606ms 2.0MB
2026-04-06 05:27:31.734965 200 809ms 2.0MB
2026-04-05 14:01:43.875982 200 1528ms 2.0MB